Bug 851108 - The default Drools time over writes the one set in preferences.properties. Guvnor should always prioritize the one in the properties file
The default Drools time over writes the one set in preferences.properties. Gu...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Toni Rikkola
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 05:27 EDT by manstis
Modified: 2013-10-10 20:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1900 Blocker Resolved The default Drools time over writes the one set in preferences.properties. Guvnor should always prioritize the one ine t... 2012-11-21 08:26:16 EST

  None (edit)
Description manstis 2012-08-23 05:27:23 EDT
Description of problem:

See linked JIRA.

Version-Release number of selected component (if applicable):

See linked JIRA.

How reproducible:

See linked JIRA.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Properties file setting is overwritten.

Expected results:

Properties file setting takes precedence.

Additional info:
Comment 2 Toni Rikkola 2012-08-24 05:27:54 EDT
This issue can be rejected. Looks like the fix is already in 5.3.x branch.
Comment 3 Jiri Locker 2012-08-31 05:51:53 EDT
Which specific properties are affected? Is it drools.dateformat or something else?
Comment 4 Toni Rikkola 2012-10-12 07:40:43 EDT
Yes drools.dateformat. Drools default is hard coded into Drools core. Guvnor has a properties file where you can set the drools.dateformat, this issue was raised because that setting was ignored.
Comment 5 Jiri Locker 2012-10-31 10:10:43 EDT
Verified in BRMS 5.3.1.ER3.

drools.dateformat is picked up from preferences.properties and date values are formatted accordingly in guided BRL editor, Web Decision Tables and Test Scenarios.

Note You need to log in before you can comment on or make changes to this bug.